<?php
	include_once(__DIR__."/../../core.php");
	
	
	
	
	$idanagrafica = $html->form('idanagrafica');
	$id_record = $html->form('id_record');
	$id_module = $html->form('id_module');
	
	
	$dir = get_var_tipodoc2($iddocumento,"dir");	


	
	
	//Lettura idanagrafica cliente e percentuale di sconto/rincaro in base al listino
	$rs = $dbo->fetchArray("select * from an_anagrafiche left join an_tipianagrafiche_anagrafiche on an_tipianagrafiche_anagrafiche.idanagrafica=an_anagrafiche.idanagrafica where idtipoanagrafica='2'  and deleted ='0' ");
	$n2 = sizeof($rs);
	
	//Lettura stati ordini di servizio
	$rs_stati = $dbo->fetchArray("select * from agenda_stati order by descrizione ");
	$n3 = sizeof($rs_stati);
	
	//Lettura tipo ordini di servizio
	$rs_tipi = $dbo->fetchArray("select * from agenda_tipi order by descrizione ");
	$n4 = sizeof($rs_tipi);
	
	
	
	
	/*
		Form di inserimanto pianificazione
	*/
	echo "<label>Inserimento appuntamento</label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$id_module."&id_record=".$id_record."\" method=\"post\">\n";
	
	echo "	<input type='hidden' name='op' value='edit_pianifica'>\n";
	echo "	<input type='hidden' name='idriga' value='".$idriga."'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";
	echo "	<input type='hidden' name='dir' value='".$dir."'>\n";
	

	//Descrizione
	echo "	<div class='row'>\n";
	echo "		<div class='col-md-12'>\n";
	echo "			<label>Descrizione</label>\n";
	 echo "			<textarea name=\"descrizione\" rows='10' id=\"descrizione\" class='form-control' >".$rsr[0]['descrizione']."</textarea>\n";
	echo "		</div>\n";
	echo "	</div>\n";
			
	echo "<br>";

	
	
	
	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";
			// assegnazione tecnico / agente
			echo "<div class='row'>\n";	
				echo "		<div class='col-md-4'>\n";
					echo "			<div class='form-group'>\n";
					echo "				<label>Assegnazione a :</label>\n";	
						if( ($n2) == 0 ){
							echo "				... Non ci sono operatori in anagrafica ...<br><br>\n";
							echo "				<input type=\"hidden\" id=\"idanagrafica\" value=\"\">\n";
						}	
						else{

							echo "				<select id=\"idanagrafica\" name=\"idanagrafica\" class=\"superselect\"  ;\">\n";
							echo "				<option value=\"\">- Seleziona un operatore-</option>\n";						
							for( $i=0;$i<$n2;$i++ ){					
								echo "				<option value=\"".$rs[$i]['idanagrafica']."\"  >".$rs[$i]['ragione_sociale']." </option>\n";
							}		
							echo "				</optgroup>\n";
						}	
					echo "				</select>\n";
					echo "			</div>\n";
				echo "		</div>\n";																		
			// assegnazione stato ordine di servizio
				echo "		<div class='col-md-4'>\n";
					echo "			<div class='form-group'>\n";
					echo "				<label>Stato</label>\n";	
						if( ($n3) == 0 ){
							echo "				... Non ci sono stati in archivio ...<br><br>\n";
							echo "				<input type=\"hidden\" id=\"idstatointervento\" value=\"\">\n";
						}	
						else{

							echo "				<select id=\"idstatointervento\" name=\"idstatointervento\" class=\"superselect\"    ;\">\n";
							echo "				<option value=\"\">- Seleziona una tipologia -</option>\n";						
							for( $i=0;$i<$n3;$i++ ){					
								echo "				<option value=\"".$rs_stati[$i]['idstatoagenda']."\"  >".$rs_stati[$i]['descrizione']." </option>\n";
							}		
							echo "				</optgroup>\n";
						}	
					echo "				</select>\n";
					echo "		</div>\n";
				echo "		</div>\n";	
			// assegnazione tipo ordine di servizio
				echo "		<div class='col-md-4'>\n";
					echo "			<div class='form-group'>\n";
					echo "				<label>Tipologia</label>\n";	
						if( ($n4) == 0 ){
							echo "				... Non ci sono tipologie  in archivio ...<br><br>\n";
							echo "				<input type=\"hidden\" id=\"idtipointervento\" value=\"\">\n";
						}	
						else{

							echo "				<select id=\"idtipointervento\" name=\"idtipointervento\" class=\"superselect\"   ;\">\n";
							echo "				<option value=\"\">- Seleziona una tipologia -</option>\n";						
							for( $i=0;$i<$n4;$i++ ){					
								echo "				<option value=\"".$rs_tipi[$i]['idtipoagenda']."\"  >".$rs_tipi[$i]['descrizione']." </option>\n";
							}		
							echo "				</optgroup>\n";
						}	
					echo "				</select>\n";
					echo "		</div>\n";
				echo "		</div>\n";
			echo "</div>\n";	
		echo "</div>\n";		
	echo "</div>\n";		
	
	
	$display='';	
	echo "<div class='panel panel-primary'>";
		echo "<div class='panel-body'>";		
			echo "	<div class='row'>\n";
			// orario attivita
				echo "		<div class='col-md-3'>\n";	
					echo "				<label>Data inizio </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control  datepicker text-center '  id='data_i' name='data' required=\"true\" value=\"".date("d")."/".date("m")."/".date("Y")."\">\n";												
					echo "		</div>\n";
				echo "	</div>\n";
				echo "		<div class='col-md-3'>\n";	
					echo "		<label>Orario inizio attività </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control timepicker text-center'  id='orario' name='orario' required=\"true\" >\n";			
									
					echo "		</div>\n";
				echo "	</div>\n";	
				echo "		<div class='col-md-3'>\n";	
					echo "				<label>Data fine </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control  datepicker text-center '  id='data_f' name='data_f' required=\"true\" value=\"".date("d")."/".date("m")."/".date("Y")."\">\n";												
					echo "		</div>\n";
				echo "	</div>\n";
				echo "		<div class='col-md-3'>\n";	
					echo "		<label>Orario fine attività </label>\n";	
					echo "		<div class='form-group'>\n";				
						echo "			<input type='text' class='form-control timepicker text-center'  id='orario_fine' name='orario_fine' required=\"true\" >\n";			
									
					echo "		</div>\n";
				echo "	</div>\n";			
			echo "		</div>\n";
		echo "		</div>\n";
	echo "		</div>\n";
	
		
	echo "	<a onclick=\"addriga();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-edit\"></i> Pianifica</a>\n";
	echo "</form>\n";
?>

<script type="text/javascript" charset="utf-8">
		$('.datepicker').datepicker();
		$('.timepicker').timepicker();
			
		
		function addriga(){
			if( $('#idstatointervento option:selected').val()!='' && $('#idtipointervento option:selected').val()!='' ){				
				if( $('#data_f').val() >= $('#data_i').val()  ){
					$("#link_form").submit();
				} else {					
					swal("Data fine inferiore a data inizio!")										
				}	
			} else {				
				swal("Alcuni dati non sono stati inseriti!")
			}
		}
		
		$(document).ready( function(){
			start_superselect();

		});
		
		
		
		
	</script>

	<div class="clearfix"></div>

